install plugin facelet di netbeans 6.5

pertama2 thx to henry, sebenernya ini awalnya yang ngalamin henry sewaktu diskusi soal JSF,

karena selama kerja dah jarang pake java, jadi baru sempat install netbeans 6.5 kemarin malam.. karena lg nyobain tutorial spring nya yang dibuat pak Endy. akhirnya tutorial ke 1, sudah berhasil dan sukses.

ketika akan mulai mencoba2 JSF, saya teringat kalo komponen yang (menurut saya) paling bagus (lucu2, warna nya bagus2) itu ada richfaces, maka saya harus install plugin facelet nya di netbeans versi 6.5.

plugins nya dapat diunduh di sini. setalah selesai diunduh. saya lakukan proses add plugin seperti biasa di netbeans. yaitu:

Tools -> plugin -> downloaded -> add plug in (seperti berikut)

addplugin1

ketika akan install, muncul peringatan kurang lebih seperti berikut:

The plugin JSP Parser is requested in implementation version 200804211638

Error tersebut bisa dihilangkan dengan menyeragamkan version JSP parser yang ada di netbeansnya. version JSP passer tersebut berada di folder hasil installer netbeans

  • /home/dian/netbeans-6.5/enterprise5/modules
  • -extract file org-netbeans-modules-web-jspparser.jar
  • update file MANIFEST.MF di folder org-netbeans-modules-web-jspparser/org-netbeans-modules-web-jspparser/META-INF.
  • kemudian ubah hasil extract-an menjadi file .jar kembali
  • rebuild file org-netbeans-modules-web-jspparser.jar
  • jalankan command berikut di console: jar -vufm jar_file manifest_file, untuk update mani_fest nya

ok, berhasil, coba restart netbeans kembali, dan selamat ber-JSF ria..

Advertisements